<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="/static/css/bootstrap.min.css" rel="stylesheet">

    <title>{{ config["global"]["title"] }}: {% block title %}{% endblock %}</title>
</head>
<body>
    <!-- Bootstrap JS -->
    <script src="/static/js/bootstrap.bundle.min.js"></script>

    <div class="container-fluid"><h1>{{ config["global"]["title"] }}
      {% if board_id is defined %}
        {% if "error" in board_id %}
          <span class="badge rounded-pill bg-danger">IDCODE READOUT ERROR</span>
        {% else %}
          <span class="badge rounded-pill bg-primary">{{ "Rev {} | ID {} | DNA {}".format(board_id["revision"], board_id["idcode"], board_id["dna"]) }}</span>
        {% endif %}
      {% endif %}
    </h1></div>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <!-- <a class="navbar-brand" href="/">Select a test:</a> -->
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">

            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Peripherals
              </a>
              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">

                {% if "hwmon" in config %}
                {% for class, device in config["hwmon"]["device_classes"].items() %}
                <li><a class="dropdown-item" href="/hwmon?class={{class}}">{{device["title"]}}</a></li>
                {% endfor %}
                {% endif %}

                {% if "gpio" in config %}
                <li><a class="dropdown-item" href="/gpio">GPIO</a></li>
                {% endif %}

                {% if "ina226" in config %}
                <li><a class="dropdown-item" href="/ina226">INA226</a></li>
                {% endif %}

                {% if "ccf_clocks" in config %}
                <li><a class="dropdown-item" href="/ccf_clocks">Clock report</a></li>
                {% endif %}

                {% if "si570" in config %}
                <li><a class="dropdown-item" href="/si570">SI570</a></li>
                {% endif %}

                {% if "si5345" in config %}
                <li><a class="dropdown-item" href="/si5345">SI5345</a></li>
                {% endif %}

                {% if "si53156" in config %}
                <li><a class="dropdown-item" href="/si53156">SI53156</a></li>
                {% endif %}

                {% if "sfp" in config %}
                <li><a class="dropdown-item" href="/sfp">SFP, FireFly</a></li>
                {% endif %}

                {% if "adm106x" in config %}
                <li><a class="dropdown-item" href="/adm106x">ADM106x</a></li>
                {% endif %}

                {% if "adm1266" in config %}
                <li><a class="dropdown-item" href="/adm1266">ADM1266</a></li>
                {% endif %}
              </ul>
            </li>


            {% if "vivado" in config %}
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Vivado
              </a>
              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                {% if "vivado-ddrmc" in config %}
                <li><a class="dropdown-item" href="/ddrmc">DDRMC</a></li>
                {% endif %}

                {% if "vivado-ibert" in config %}
                <li><a class="dropdown-item" href="/ibert">IBERT</a></li>                
                {% endif %}
              </ul>
            </li>
            {% endif %}


            {% if "chipscopy" in config %}
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Chipscopy
              </a>
              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item disabled" href="#">These pages can be slow, please be patient</a></li>
                <div class="dropdown-divider"></div>
                {% if "chipscopy-ddrmc" in config %}
                <li><a class="dropdown-item" href="/ddrmc">DDRMC</a></li>
                {% endif %}

                {% if "chipscopy-ibert" in config %}
                <li><a class="dropdown-item" href="/ibert">IBERT</a></li>
                <li><a class="dropdown-item" href="/eye_scan">Eye Scans</a></li>
                {% endif %}

                <li><a class="dropdown-item" href="/chipscopy/connect">Connection settings</a></li>
              </ul>
            </li>
            {% endif %}


            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                User-space tools
              </a>
              <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
              {% for key, resource in config["process_runners"].items() %}
                <li><a class="dropdown-item" href="/{{resource['name']}}">{{resource['title']}}</a></li>
              {% endfor %}
              </ul>
            </li>

            {% if "self_test" in config %}
            <li class="nav-item">
              <a class="nav-link" href="{{url_for('self_test_status')}}">Self-test</a>
            </li>
            {% endif %}

          </ul>
        </div>
      </div>
    </nav>

<div id="content" class="container">
    {% block content %}{% endblock %}
</div>

</body>
</html>